/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomSQLError_H___INT_
#define __GdomSQLError_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "SQLError.h"
namespace WebCore {
    gpointer toGDOM(SQLError* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMSQLError : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_SQL_ERROR; }
    GDOMSQLError(PassRefPtr<WebCore::SQLError> impl);
    virtual ~GDOMSQLError();
    WebCore::SQLError* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::SQLError> m_impl;
};
G_END_DECLS

#endif /* __GdomSQLError_H___INT_*/
